#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    string komedija;
    cin >> komedija;

    string azbuka = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";

    int trenutak = 25;
    long long rez = 1;
    for(int i = n - 1; i >= 0; i--){
        int momenat = 1;
        if(komedija[i] >= trenutak){
            while(komedija[i-1] == komedija[i]){
                momenat++;
                i--;
            }
            trenutak--;
        }
        rez = ((rez % 1000000007) * (momenat % 1000000007)) % 1000000007;
    }
    if(trenutak >= 0){
        cout << 0;
    }
    else{
        cout << rez;
    }
}